Bug 1449774

Summary: Fedora25 guest shutdown with M2000 card
Product: [Fedora] Fedora Reporter: Christophe de Dinechin <dinechin>
Component: virglrendererAssignee: Dave Airlie <airlied>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: airlied, marcandre.lureau
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:57:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
Content of /var/log/libvirt/qemu/f25-turbo.log
none
Content of guest configuration file in the failing case
none
Guest boot log
none
Host dmesg (shows nothing as far as I can tell) none

Description Christophe de Dinechin 2017-05-10 16:05:32 UTC
Created attachment 1277652 [details]
Content of /var/log/libvirt/qemu/f25-turbo.log

Description of problem:

Enabling virgl rendering for a Fedora 25 guest running on Fedora 25 host, the guest no longer boots. Instead, it shuts down abruptly with no special message in the host dmesg, guest log or on the guest console.


Version-Release number of selected component (if applicable):
virglrenderer.x86_64       0.5.0-1.20160411git61846f92f.fc25        @anaconda
qemu.x86_64                      2:2.7.1-6.fc25                       updates
kernel.x86_64                   4.10.13-200.fc25                    @updates 


How reproducible: Always

Steps to Reproduce:

1. Install Fedora 25 guest, check that it works.

2. virsh edit guest to enable 3D acceleration with virgl, see https://aspiceodyssey.wordpress.com/2017/04/28/fedora25-3d-accelerated-guest for how I did that.

3. Boot guest, check that it no longer boots.

4. Check that this depends on having the following lines settings enabled, and that the guest boots fine if you set off:

      <gl enable='yes'/>
      <acceleration accel3d='yes'/>


Actual results:

Guest stops during boot, without an error message.


Expected results:

Either the guest boots successfully, or a meaningful error message is emitted somewhere explaining why it does not.


Additional info:

Various logs attached:

f25-turbo-qemu.log: Libvirt log file. This shows both successful and unsuccessful boots. They are differentiated by the presence of id=vide0,virgl=on for failing ones, and id=video0,bus... for the successful ones. There is an EGL/GLX error message, but it shows both for successful and failing boots.

f25-turbo-xml: virsh dump of the guest configuration

f25-turbo-dmesg: Host dmesg during boot (shows nothing interesting I think)

f25-turbo-boot-log.txt: Content of boot log, as captured by virsh console f25-turbo. This requires to edit the guest boot to remove the quiet option and add the console=ttyS0 option.

Comment 1 Christophe de Dinechin 2017-05-10 16:22:58 UTC
Created attachment 1277658 [details]
Content of guest configuration file in the failing case

Comment 2 Christophe de Dinechin 2017-05-10 16:25:48 UTC
Created attachment 1277659 [details]
Guest boot log

Comment 3 Christophe de Dinechin 2017-05-10 16:27:31 UTC
One thing that strikes me with the guest boot log is that there are only 54K for buffers. Is that expected?

[    2.730251] [drm] virtio vbuffers: 288 bufs, 192B each, 54kB total.
[    2.730889] [TTM] Zone  kernel: Available graphics memory: 1023428 kiB

Comment 4 Christophe de Dinechin 2017-05-10 16:28:54 UTC
Created attachment 1277660 [details]
Host dmesg (shows nothing as far as I can tell)

I saw nothing really interesting in there. I cut only the end. Let me know if I sould look for clues in earlier parts.

Comment 5 Fedora End Of Life 2017-11-16 18:31:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:57:06 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.